org.wso2.carbon.device.mgt.mobile.windows.api.services.wstep.impl

## Class CertificateEnrollmentServiceImpl

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.wstep.impl.CertificateEnrollmentServiceImpl

- All Implemented Interfaces:
    CertificateEnrollmentService

      @Addressing(enabled=true,
                  required=true)
      @BindingType(value="http://www.w3.org/2003/05/soap/bindings/HTTP/")
      public class CertificateEnrollmentServiceImpl
      extends Object
      implements CertificateEnrollmentService

  Implementation class of CertificateEnrollmentService interface. This class implements MS-WSTEP protocol.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateEnrollmentServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `requestSecurityToken(String tokenType, String requestType, String binarySecurityToken, AdditionalContext additionalContext, Holder<RequestSecurityTokenResponse> response)` This method implements MS-WSTEP for Certificate Enrollment Service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateEnrollmentServiceImpl

          public CertificateEnrollmentServiceImpl()

  - ### Method Detail

    - #### requestSecurityToken

          public void requestSecurityToken(String tokenType,
                                  String requestType,
                                  String binarySecurityToken,
                                  AdditionalContext additionalContext,
                                  Holder<RequestSecurityTokenResponse> response)
                                    throws WindowsDeviceEnrolmentException

      This method implements MS-WSTEP for Certificate Enrollment Service.
      Specified by:
        `requestSecurityToken` in interface `CertificateEnrollmentService`
      Parameters:
        `tokenType` - - Device Enrolment Token type is received via device
        `requestType` - - WS-Trust request type
        `binarySecurityToken` - - CSR from device
        `additionalContext` - - Device type and OS version is received
        `response` - - Response will include wap-provisioning xml
      Throws:
        `WindowsDeviceEnrolmentException`

Copyright © 2017 WSO2. All rights reserved.